﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Thread2
{
    /// <summary>
    /// 线程模型执行任务 基类
    /// </summary>
    public abstract class BaseTask
    {

        public BaseTask()
        {
            TempAttribute = new ObjectAttribute();
        }

        /// <summary>
        /// 零时属性
        /// </summary>
        public ObjectAttribute TempAttribute { get; set; }

        /// <summary>
        /// 任务ID
        /// </summary>
        public long TID { get; set; }

        /// <summary>
        /// 任务名称
        /// </summary>
        public string TName { get; set; }

        /// <summary>
        /// 线程模型任务
        /// </summary>
        public abstract void Run();

        public override string ToString()
        {
            return "Task<" + this.TName + "(" + TID + ")>";
        }
    }
}
